Class | Spec::Story::Runner::PlainTextStoryRunner
In: | lib/spec/story/runner/plain_text_story_runner.rb
Parent: | Object

### Methods

[]= load new run steps

### Public Class methods

new(*args) {|self if block_given?| ...}

You can initialize a PlainTextStoryRunner with the path to the story file or a block, in which you can define the path using load.

## Examples

      PlainTextStoryRunner.new('path/to/file')

      PlainTextStoryRunner.new do |runner|
        runner.load 'path/to/file'
      end

### Public Instance methods

[]=(key, value)
load(path)
run(story_runner=Spec::Story::Runner.story_runner)
steps() {|@step_group if block_given?| ...}

[Validate]